RagTime5SpreadsheetInternal::ValuesParser Struct Reference documentation

RagTime5SpreadsheetInternal::ValuesParser Struct Referencefinal

Internal: the helper to read a cell values. More...

Inheritance diagram for RagTime5SpreadsheetInternal::ValuesParser:

## Public Member Functions
| ValuesParser (Sheet &sheet)
| constructor
| ~ValuesParser () final
| destructor
bool | parseData (MWAWInputStreamPtr &input, long endPos, RagTime5Zone &, int n, libmwaw::DebugStream &debStream) final
| try to parse a data
Public Member Functions inherited from RagTime5StructManager::DataParser
| DataParser (std::string const &zoneName)
| constructor
virtual | ~DataParser ()
| destructor
virtual std::string | getZoneName () const
| return the debug name corresponding to a zone
virtual std::string | getZoneName (int n) const
| return the debug name corresponding to a field

## Public Attributes
Sheet & | m_sheet
| the actual sheet

## Additional Inherited Members
Protected Attributes inherited from RagTime5StructManager::DataParser
std::string | m_name
| the field name

## Detailed Description

Internal: the helper to read a cell values.

## Constructor & Destructor Documentation

## ◆ ValuesParser()

RagTime5SpreadsheetInternal::ValuesParser::ValuesParser | ( | Sheet & | sheet | ) |
| inlineexplicit

constructor

## ◆ ~ValuesParser()

RagTime5SpreadsheetInternal::ValuesParser::~ValuesParser | ( |  | ) |
| final

destructor

Referenced by ~ValuesParser().

## Member Function Documentation

## ◆ parseData()

bool RagTime5SpreadsheetInternal::ValuesParser::parseData | ( | MWAWInputStreamPtr & | input,
|  | long | endPos,
|  | RagTime5Zone & | ,
|  | int | n,
|  | libmwaw::DebugStream & | debStream )
| inlinefinalvirtual

try to parse a data

Reimplemented from RagTime5StructManager::DataParser.

Referenced by parseData().

## Member Data Documentation

## ◆ m_sheet

Sheet& RagTime5SpreadsheetInternal::ValuesParser::m_sheet

the actual sheet

Referenced by ValuesParser().

The documentation for this struct was generated from the following file:

- RagTime5Spreadsheet.cxx